#ifndef OUTILS_H
#define OUTILS_H

#ifdef _OUTILS_BPL
  #define PACKAGE_OUTILS __declspec( dllexport)
#else
  #define PACKAGE_OUTILS __declspec( dllimport)
#endif
#define OM_NONE                         0x0000000
#define OM_CAN_MODIFY_BODY              0x0000001
#define OM_SAISIR_MOTIF                 0x0000002
#define OM_NOM_DESTINATAIRE_OBLIGATOIRE 0x0000004
#define OM_SANS_FENETRE                 0x0000008
enum EMAIL_TRANSFERT { ET_SEND, ET_RECEIVE };

extern PACKAGE_OUTILS bool __fastcall EICFenetreRouge(const AnsiString &Titre,const AnsiString &Title,const AnsiString &Info,const AnsiString &Question,bool FenetreImprimer=false);
extern PACKAGE_OUTILS bool __fastcall EICFenetreRougeRappelSauvegarde( const AnsiString &Partenaire);
extern PACKAGE_OUTILS AnsiString __fastcall TexteRappelSauvegarde( const AnsiString &Partenaire);

extern PACKAGE_OUTILS bool EnvoyerMail( AnsiString &strDestAddress, const AnsiString &strObject, const AnsiString &strText, const AnsiString &strFileName,const AnsiString &EMailTechnique,const AnsiString &strFichierIni, int Options = OM_NONE);
extern PACKAGE_OUTILS bool ParametrerMail( );
extern PACKAGE_OUTILS bool RecupererParametrageMail( EMAIL_TRANSFERT eType, AnsiString &strPop, AnsiString &strSmtp, AnsiString &strCompte, AnsiString &strPassword, AnsiString &strAdrMail);

#endif
